import { world } from '@minecraft/server'

world.afterEvents.itemUse.subscribe(({ source: player, itemStack }) => {
    if(itemStack.typeId === "gst:jump_item") {
        player.playSound("random.bow",{ volume: 50, pitch: 0.75 });
        const entities = player.dimension.getEntities({
            location: player.location,
            maxDistance: 3,
            closest: 1,
            type: "gst:jump_entity"
        });
        for(const entity of entities) {
            const speed = entity.getVelocity();
            entity.applyImpulse({ x: 0, y: -speed.y+0.35, z: 0 })
        }
    }
});