import { world, system } from '@minecraft/server'

world.afterEvents.playerSpawn.subscribe(({ player, initialSpawn }) => {
    if(!initialSpawn) return;
    player.runCommandAsync('function gst/system/gamerule');
    player.runCommandAsync('execute as @a run scoreboard players set @s gst:player_count 0');
    player.runCommandAsync('execute as @a run scoreboard players add @a gst:player_count 1');
    player.runCommandAsync('execute if entity @a[has_property={gst:start=true}] run scriptevent gst:reset');
});

world.beforeEvents.playerLeave.subscribe(({ player }) => {
    player.runCommandAsync('scoreboard players add @a gst:player_count -1');
});